{% extends 'base.html.twig' %}

{% block title %}List Demand{% endblock %}

{% block stylesheets %}
                <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
                <link href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css" rel="stylesheet">
                <link rel="stylesheet" href="{{ asset('css/style.css') }}">
                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
                <style>
                    body {
                    background-color: white !important;
                    background-repeat: no-repeat;
                    background-position: center;
                    background-size: 177%;
                    padding: 50px !important;
                    background: white url('http://java2s.com/style/logo.png') center center;
                }
                </style>
{% endblock %} 

{% block body %}
    <h1>List Demand {{userName}}</h1>

    <table id="example" class="table table-striped table-bordered" style="width:100%">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Content</th>
                <th>PieceJointe</th>
                <th>CreationDate</th>
                <th>Status</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for demand in demands %}
            <tr>
                <td>{{ demand.id }}</td>
                <td>{{ demand.Title }}</td>
                <td>{{ demand.Content }}</td>
                <td>{{ demand.PieceJointe }}</td>
                <td>{{ demand.CreationDate ? demand.CreationDate|date('Y-m-d') : '' }}</td>
                <td id="detailStatus">{{ demand.status }}</td>
                <td>
                    <a href="{{ path('app_demand_show', {'id': demand.id}) }}" class="btn btn-info btn-sm"><i class="fa fa-search"></i> show</a>
                       {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('app_demand_edit', {'id': demand.id}) }}" class="btn btn-primary btn-sm"> <i class="fa fa-edit"></i> edit</a>
                       {% endif %}

                       {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('app_demand_delete', {'id': demand.id}) }}" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i>  delete</a>
                       {% endif %}

                       {% if is_granted('ROLE_ADMIN') %}
                         {% if demand.status == 'waiting' %}
                        <select name="status" id="status" class="btn btn-warning btn-sm" data-id="{{ demand.id }}">
                            <option disabled selected value>status</option>
                            <option value="in progress">in progress</option>
                            <option value="closed">closed</option>

                        </select>
                        {% elseif demand.status == 'in progress' %} 
                        <select name="status" id="status" class="btn btn-warning btn-sm" data-id="{{ demand.id }}">
                            <option disabled selected value>status</option>
                            <option value="closed">closed</option>

                       {% endif %}
                       {% endif %}


                    
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

 <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>


    <a  class="btn btn-success" href="{{ path('app_demand_new') }}"><i class="fa fa-plus"></i> Create new</a>

{% endblock %}
